Skip to content

workspaces_access_alerts_retrieve

GET
/api/workspaces/{id}/access-alerts
curl --request GET \
--url https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/access-alerts \
--header 'Authorization: Bearer <token>'

Return the data of a workspace that the user sees but cannot open, by cause.

The data are the ones the user sees in the workspace. Their access is the one of the user: two members of the same workspace get different alerts.

id
required
string format: uuid

A UUID string identifying this workspace.

Media typeapplication/json

The access alerts of a workspace for the user.

object
last_verification_time
required

Most recent verification of the access of the user to a visible data object.

string format: date-time
nullable
check_in_progress
required

Whether a check of the access of the user is queued or running.

boolean
alerts
required

Only the causes that concern at least one data object.

Array<object>

The visible data that the user cannot open for one cause.

object
cause
required
  • no_credentials - no_credentials
  • unaccessible - unaccessible
  • unreachable - unreachable
  • unverified - unverified
string
Allowed values: no_credentials unaccessible unreachable unverified
data_count
required
integer
connections
required
Array<object>

The data of one connection concerned by an access alert.

object
id
required
string format: uuid
name
required
string
nullable
plugin_name
required
string
logo
required
string format: uri
nullable
data_count
required
integer

Example

{
"alerts": [
{
"cause": "no_credentials"
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "forbidden",
"message": "You do not have permission to perform this operation. Check the `details` property for more details.",
"details": [
{
"parameter": "workspace",
"code": "not_allowed",
"message": "You are not a member of this workspace."
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "object_not_found",
"message": "Object not found. Check the `details` property for more details.",
"details": [
{
"parameter": "<id>",
"code": "does_not_exist",
"message": "\"<id>\" does not exist."
}
]
}